Skip to main content
GET
/
networks
/
couponcodes
List Coupon Codes
curl --request GET \
  --url https://api.eflow.team/v1/networks/couponcodes \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "couponcodes": [
    {
      "network_coupon_code_id": 123,
      "network_id": 123,
      "network_affiliate_id": 123,
      "network_offer_id": 123,
      "coupon_code": "<string>",
      "coupon_status": "active",
      "internal_notes": "<string>",
      "description": "<string>",
      "is_description_plain_text": true,
      "start_date": "<string>",
      "end_date": "<string>",
      "time_created": 123,
      "time_saved": 123
    }
  ],
  "paging": {
    "page": 123,
    "page_size": 123,
    "total_count": 123
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Query Parameters

page
integer
default:1

Page number (1-based).

page_size
integer
default:50

Number of results per page.

filter[coupon_status]
enum<string>

Filter by coupon status.

Available options:
active,
paused
filter[coupon_code]
string

Filter by coupon code value.

filter[network_offer_id]
integer

Filter by offer ID.

filter[network_affiliate_id]
integer

Filter by affiliate ID.

relationship
enum<string>

Include related offer or affiliate details.

Available options:
offer,
affiliate

Response

200 - application/json

OK

couponcodes
object[]
paging
object